Search Dataset

LLM-friendly URL
POST
https://api.luzmo.com/0.1.0/securable
API call form
Examples
List of examples
  • Retrieve a specific dataset by ID
  • Retrieve dataset AI context
  • Retrieve the columns of a specific dataset
  • Get all datasets used in a dashboard
  • Get dataset by localized name
  • Get relevant datasets by semantic search
  • Retrieve the last WARP sync information of a specific dataset
  • Get columns and their order
  • Get connection (account) id for dataset
  • Get connection and plugin serving a certain dataset
  • Get all linked datasets
  • Get all dashboards using a certain dataset
  • Get datasets shared publicly
Description

Retrieve a dataset together with its AI context and the AI context of its columns. Use attributes to include ai_context ; it is not part of text search.

Install
npm install @luzmo/nodejs-sdk
Example Response
200
400
500
{
  "count": 1,
  "rows": [
    {
      "id": "f13df731-fff4-4b6b-b6e0-58a7d3956685",
      "name": {
        "en": "Sales dataset",
        "nl": "Verkoopsgegevens",
        "fr": "Données de ventes"
      },
      "ai_context": "Use this dataset for order and revenue analysis. Revenue fields are stored before tax unless explicitly named otherwise.",
      "columns": [
        {
          "id": "cfc29a4a-c144-4ba3-9a0f-26a1da6a6994",
          "name": {
            "en": "Purchase value"
          },
          "ai_context": "Treat this field as net revenue before tax. Negative values represent refunds or chargebacks."
        }
      ]
    }
  ]
}